Subject: Re: i broke my package system :)
To: Hubert Feyrer <>
From: Andrew Brown <>
List: tech-pkg
Date: 04/25/1999 23:41:55
>> >> pkg_create: can't open pkgdb: Inappropriate file type or format
>So on what occasion do you get this? 

i got it after these four steps

(1) installing 1.3.3 and then installing a bunch of packages
(2) trying and failing to build a -current package
(3) installing -current pkgtools (successfully, i might add)
(4) trying to install a package from the 1.3.3 set that i have

>Is this reproducible?

yep.  i got the error, got upset, tried make install again, got a
error that said the package was installed, tried to deinstall and was
told it wasn't there, tried to reinstall and was told it was there.
then, to ask for help, i manually deinstalled the package (with stuff
like "find | xargs rm" and "rm -rf") and tried to install it again.  i
managed (by the same process) to get the same error at least three

|-----< "CODE WARRIOR" >-----|             * "ah!  i see you have the internet (Andrew Brown)                that goes *ping*!"       * "information is power -- share the wealth."